icewm -- history of user-visible changes.  2021-04-15

Release icewm-2.3.2 released 2021-04-15
---------------------------------------

git shortlog -e -n -w80,6,8 2.3.1...2.3.2

Bert Gijsbers <gijsbers@science.uva.nl> (26):
      Remove unused variable textDrawn to prevent a compiler warning.
      Optimize allocation of icon path strings.
      Improve removing the last element from an array. Add array pop and last.
        Remove classes YStack and YStackSet.
      Make testarray.cc mostly silent by default.
      Add testarray as a test target to cmake test.
      Refactor common code from dialogs to ydialog.cc. Improve layout design.
      Add declarations for center and become to YDialog.
      Free the memory for the About dialog after it is closed.
      Reduce the number of frame updates to only those frames visible on the
        previous and the current workspace when changing workspace.
      Support ModSuperIsCtrlAlt when testing the Super modifier in the quick
        switch. This fixes issues #574.
      Change the default value for ModSuperIsCtrlAlt from true to false to see
        if anyone complains for issue #574.
      Repaint workspace button after editing the workspace name.
      Pop down YInputMenu before deleting. Don't report focus lost when popping
        YInputMenu.
      Allow button clicks where there is mouse motion between button press and
        release for issue #575.
      Permit negative button position in function limited.
      Fix segv in verifyPaths and closes #577.
      Dissolve the disparity between dragged and non-dragged task buttons for
        issue #576.
      Use reversed active taskbar app text colors for drawing grouping number
        for issue #565. Improve drawing rectangles with rounded corners. Don't
        update grouping when shutting down.
      Reduce reactiveness to mouse motion of task button by deselecting task
        button when dragging ends.
      Add append and replace to YProperty. Improve reporting detail when
        XOpenDisplay fails.
      Enforce the completion of the deallocation of the single YWMApp object.
      Improve rounded rectangle corner painting detail.
      First synchronize with icewm, before updating background after icewm
        restart.
      Document more workspace button features.
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Merge branch 'icewm-1-4-BRANCH'

Tommi Nieminen <software@legisign.org> (1):
      Translated using Weblate (Finnish)


Release icewm-2.3.1 released 2021-04-04
---------------------------------------

git shortlog -e -n -w80,6,8 2.3.0...2.3.1

Bert Gijsbers <gijsbers@science.uva.nl> (18):
      Remove use of resource paths.
      Prefer object icon over default icon.
      Use override consistently.
      Restore use of isKey in ISwitchItems to fix switchkey.
      Add begin+end to properly support for-each on MStringArrays.
      Test for large icon in YMsgBox to prevent accessing nil pointer.
      Smaller simpler YCursor.
      Prefer for-each loops when iterating over resource paths.
      Enable iteration over a switchkey menu.
      Fix for submenus when switching themes for issue #571 and #572.
      Drop wmMoveToWorkspace.
      Repaint the background when icewm restarts to evade bug in X server.
      Avoid iterating over an empty array in MStringArray::begin() for #571.
      Support drawing rounded rectangles.
      Support different ways to indicate TaskBarTaskGrouping and closes #565.
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Merge branch 'icewm-1-4-BRANCH'
      Prepare 2.3.1 release


Release icewm-2.3.0 released 2021-04-01
---------------------------------------

git shortlog -e -n -w80,6,8 2.2.1...2.3.0

Bert Gijsbers <gijsbers@science.uva.nl> (66):
      Add option to only show running net interfaces in status bar by alspitz
        and closes ice-wm/icewm#44.
      Improve formatting.
      Only update tooltips when a tooltip window is visible. Remove obsolete
        phonenumber from network status monitor.
      Fixes for tooltips.
      Postpone creating tooltips.
      Cleanup empty handleCrossing.
      Smaller timers.
      Reduce systemcalls as much as possible when updating network status.
      Enforce updateLocation when without system tray for issue #559.
      Update translations.
      Redraw task button when name changes.
      Print detail for all in icesh motif.
      When client loses its X shape then update frame functions. This fixes
        toggling "Use system title bar and borders" in Chrome.
      Simplify filereader to reduce number of read system calls.
      Add new option TaskBarTaskGrouping to group similar applications under one
        task button for issue #198.
      Remove superfluous field wmActionListener from ObjectMenu.
      Remove unneeded includes.
      Move ObjectButton to its own source file. Rename yinput.cc to
        yinputline.cc.
      Move signalGuiEvent into its own class GuiSignaler.
      Iterate backwards over fUpdates.
      Consider grouping in updateAppStatus.
      Add menu option to icehelp to open current document in a browser.
      Improve update tracking to grouped task buttons.
      Remove the actionPerformed callback from menu items.
      Fix use of nullptr.
      Renamed yinput.cc as yinputline.cc.
      Make group menu popup via a click and restore dragging.
      Support switching workspaces via window menu list.
      Update documentation.
      make update-po
      Fix pointer type.
      Set icon on task app.
      When WM_CLASS and grouping is on then reinsert task app status.
      When WM_CLASS changes and task grouping is on, then reinsert task app
        status.
      Merge
      Add command "denormal" to icesh for issue #561.
      Restore dynamic menus like Start, for issue #562.
      Allow to switch workspaces when in Alt+Tab mode for issue #563.
      Allow to switch workspaces when the Alt+Tab QuickSwitch window is active
        for #563.
      Add missing modifiers declaration to fix compilation and closes #567
      Support buttons up to button number 9 for issue #333.
      Restart the QuickSwitch when changing workspace by key for issue #563.
        Improve handling of modifier keys in QuickSwitch.
      Enable immediate toggling ofTaskBarTaskGrouping without a restart.
      Add contains.
      Add setPopDownListener.
      Add support for operation by arrow keys and Home and End. Support Delete
        key to close a window. Move SwitchWindow away from wmapp and frames and
        into manager. Support highlighting the active quickswitch frame by
        reordering the X stacking order. Use the more lightweight setFocus to
        give input focus. Fix for quickswitch on fullscreen for issue #558. Fix
        for quickswitch raise for issue #564.
      make update-po
      Reorder popup and displayFocus in QuickSwitch for immediate focus+raise
        effect.
      Improve tracking of popup deactivation for SwitchWindow. Avoid closing
        down SwitchWindow when a button release occurs outside of the
        SwitchWindow. Support keys '1' to '9' to index the SwitchWindow.
      Add optional reorder flag to setFocus and dont reorder for QuickSwitch for
        issue #564.
      Don't reorder focus when switching workspaces for issue #564. Cancel
        QuickSwitch when clicking outside the window. Improve calculating hinted
        item. Support rotating mouse wheel buttons when scrolling over windows.
      Replace inefficient GetZList with efficient updateList in QuickSwitch.
      When QuickSwitch is up and a new window is created, then add the new
        window to the existing QuickSwitch, if the conditions are met.
      Support colorful colors when using libXpm for issue ice-wm/icewm#45.
      Add preference QuickSwitchRaiseCandidate to raise a selected QuickSwitch
        window for issue #558 and #564.
      Let canRaise also consider the future workspace.
      When activating a frame on another workspace, ignore any focus events on
        the root window, for more reliable quick switching.
      Improve changing workspace when quick switching for issue #564. Allow to
        accept the current quick switch selection by hitting the Return key.
        Restore reordering of quick switch items when not raising candidates for
        issue #558. Get rid of IClosablePopup.
      Complete QuickSwitch documentation.
      Update QuickSwitch preferences.
      Use wmOccupyWorkspace instead of identical wmOccupyOnlyWorkspace.
      Ensure that descriptions are terminated with a dot.
      Also terminate with a dot when outputting in perl pod format.
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Merge remote-tracking branch 'origin/icewm-1-4-BRANCH'
      Prepare 2.3.0 release

Grace Yu <grace.yu@excel-gits.com> (6):
      Translated using Weblate (Chinese (China))
      Translated using Weblate (Chinese (Taiwan))
      Translated using Weblate (Chinese (China))
      Translated using Weblate (Chinese (China))
      Translated using Weblate (Chinese (Taiwan))
      Translated using Weblate (Chinese (China))

Aleš Kastner <alkas@volny.cz> (3):
      Translated using Weblate (Czech)
      Translated using Weblate (Czech)
      Translated using Weblate (Czech)

Antonio Simón <antonio@trans-mission.com> (3):
      Translated using Weblate (Spanish)
      Translated using Weblate (Spanish)
      Translated using Weblate (Spanish)

David Medina <medipas@gmail.com> (3):
      Translated using Weblate (Catalan)
      Translated using Weblate (Catalan)
      Translated using Weblate (Catalan)

Davide Aiello <davide.aiello@novilingulists.com> (3):
      Translated using Weblate (Italian)
      Translated using Weblate (Italian)
      Translated using Weblate (Italian)

Ferdinand Galko <galko.ferdinand@gmail.com> (3):
      Translated using Weblate (Slovak)
      Translated using Weblate (Slovak)
      Translated using Weblate (Slovak)

Freek de Kruijf <freek@opensuse.org> (3):
      Translated using Weblate (Dutch)
      Translated using Weblate (Dutch)
      Translated using Weblate (Dutch)

Gemineo <vistatec@gemineo.de> (3):
      Translated using Weblate (German)
      Translated using Weblate (German)
      Translated using Weblate (German)

Yasuhiko Kamata <belphegor@belbel.or.jp> (3):
      Translated using Weblate (Japanese)
      Translated using Weblate (Japanese)
      Translated using Weblate (Japanese)

Sophie Leroy <sophie@stoquart.com> (2):
      Translated using Weblate (French)
      Translated using Weblate (French)

Hela Basa <R45XvezA@pm.me> (1):
      Added translation using Weblate (Sinhala)

Hugo Carvalho <hugokarvalho@hotmail.com> (1):
      Translated using Weblate (Portuguese)

Jorge Gallegos Carrasco <jcarrascochih@gmail.com> (1):
      Translated using Weblate (Spanish)

Kukuh Syafaat <syafaatkukuh@gmail.com> (1):
      Translated using Weblate (Indonesian)

Luiz Fernando Ranghetti <elchevive68@gmail.com> (1):
      Translated using Weblate (Portuguese (Brazil))

Stanislav Brabec <sbrabec@suse.cz> (1):
      Merge remote-tracking branch 'weblate/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH

Tommi Nieminen <software@legisign.org> (1):
      Translated using Weblate (Finnish)


Release icewm-2.2.1 released 2021-03-02
---------------------------------------

git shortlog -e -n -w80,6,8 2.2.0...2.2.1

Bert Gijsbers <gijsbers@science.uva.nl> (13):
      Position the move/size-status on the screen of the window.
      Taskbar may have a non-zero screen due to XineramaPrimaryScreen in
        getNewPos.  Only consider workarea when using same screen as taskbar,
        otherwise allow entire desktop for issue #557.
      Simplify icewm manpage.
      When modifying preferences, only trim input for scalar options.
      Make input field focus traversable when editing preferences.
      Draw an icon in the preference edit popup.
      Set margin of message box to 18.
      Draw an icon in each message box popup.
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Add testpointer to Makefile.am.
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Merge branch 'icewm-1-4-BRANCH'
      Prepare 2.2.1 release


Release icewm-2.2.0 released 2021-02-28
---------------------------------------

git shortlog -e -n -w80,6,8 2.1.2...2.2.0

Bert Gijsbers <gijsbers@science.uva.nl> (30):
      If an application resizes itself partially outside the work area, then
        move it back inside the work area, if possible, for issue #550.
      Fix ignoreQuickSwitch winoption for focused windows for issue #552.
      Call setlocale via YLocale for issue #553.
      Fix CMake build for ylocale.cc.
      Better fix for CMake build.
      Add testpointer test to CMake.
      Add testpointer.
      Only reposition when resizing outside of bottom right corner to permit
        negative positions in issue #550.
      Define ice and itk libraries to reduce cmake build by a third.
      Fix cmake test target and closes ice-wm/icewm#41.
      Add clock format %H:%M and closes #554.
      Drop support for nonICCCMconfigureRequest.
      Fix for immediately redrawing after setting default clock format.
      Simplify file read.
      Fix test logoutMenu.
      Add intmax and intmin to cfoption.
      Improve YInputLine in YMsgBox and simplify creating a YMsgBox.
      Remove bogus comment.
      Fix modifying and saving of all preferences by menu in icewm.
      Show the preferences comment line in the message box when modifying
        preference. Allow to reset a key or string option in the preferences
        menu. Check if message box operation equals OK. Remove a failed
        preference modification from the modification save set.
      Add compositor and replace read by executed.
      Give each preference option a meaningful description.
      make update-po
      Permit undefinition of keys.
      Show the bounds of integer options in the message box.
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Merge branch 'icewm-1-4-BRANCH'
      Improve merge of 'upstream/icewm-1-4-BRANCH'.
      Merge branch 'icewm-1-4-BRANCH'
      Prepare 2.2.0 release


Release icewm-2.1.2 released 2021-02-09
---------------------------------------

git shortlog -e -n -w80,6,8 2.1.1...2.1.2

Bert Gijsbers <gijsbers@science.uva.nl> (20):
      Provide drawable context when creating pixmap cursors with Imlib2 for
        issue #541.
      Don't unarm menu popup buttons for issue #527.
      Fix issue #542 for texturing background of task pane.
      Improve the isValid test for Imlib2 custom cursors.
      Detail.
      Moving towards 2.1.1.
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Prepare 2.1.1 release
      Only add a separator if previous item is not.
      Create a Settings submenu to reduce Start menu items for issue #543.
      Add 'urgent' action to icesh.
      Initialize TaskButton object.
      Remove updateUrgency, fWmUrgency, fClientUrgency, fOldState, fOldLayer
        from frames. Remove the urgent state flag from frame when gaining or
        losing focus.
      Free empty settings menu.
      Add test for XShm extension+pixmaps.
      Relayout task buttons whenever a task button is removed for issue #548.
      Preparing 2.1.2.
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Merge branch 'icewm-1-4-BRANCH'
      Prepare 2.1.2 release

Eduard Bloch <blade@debian.org> (1):
      Don't abort directory scanning on bad menu items


Release icewm-2.1.1 released 2021-01-28
---------------------------------------

git shortlog -e -n -w80,6,8 2.1.0...2.1.1

Bert Gijsbers <gijsbers@science.uva.nl> (1):
      Commit release 2.1.1.

